@charset "utf-8";
/*ページレベルでの指定*/

/* top */
#top{
    & section#main_visual{
        background: #ffffff;
        width: 70%;
    
        & .swiper-wrapper {

            & .swiper-slide{
                display: flex;
                justify-content:center;
                align-items: center;
                background: #ffffff;
            }

            & iframe{
                height:100vh;
                max-height: 100vh;
            }
            
            & .top_visual{
                display: flex;
                flex-flow: column wrap;
                justify-content:space-between;
                flex-basis: 100%;
                aspect-ratio: 16 / 9;
                max-height: 100vh;
                margin: auto;
                background-size:contain;
                background-position: center;
                background-repeat: no-repeat;


                & .type, & .name { 
                    flex-basis: fit-content;
                    padding: 0 2em;
                    text-shadow: 1px 1px 2px #000000;
                }

                & .type{
                    align-self: flex-start;
                    font-size: 2rem; text-align: left; color: #ffffff; font-weight: bold;
                    background:rgba(62,114,185,0.7);
                }

                & .name{
                    align-self: flex-end;
                    font-size: 1.5rem; text-align: right; color: #ffffff;
                    background:rgba(102,102,102,0.7);
                }

                & .catch{
                    font-size: 2.5em; text-align: right; color: #ff0000; font-weight: bold; text-shadow: 1px 1px 2px #000000; 
                    background:rgba(255,255,255,0.7);
                }
            }

        }
    }

    & #information{
        display: flex;
        flex-flow: row wrap;
        justify-content: space-between;
        
        & h5{ margin: 0px 0px 1em 0px; }
        & dl{
            padding: 0.5em 0px;
        
            & dt, & dd{
                border-bottom: 1px dotted #666666;
            }
            & dd{ padding-top: 0.5rem;}
        }

        & article{
            background: rgba(255,244,219,0.6);
            padding: 0.5rem;
            margin-bottom: 0.5rem;
            flex-basis: 48%;

            &#info_movie{

                & ul{
                    display: flex;
                    flex-flow: row wrap;
					justify-content:space-around;

                    & li{
                        flex-basis: 48%;
                    }
                }

                & iframe{
                    aspect-ratio: 16 / 9;
                    width: 100%;
                }

				& .yt{
                    /*　youtube仮置き */
					display: flex;
					justify-content:center;
					align-items:center;
					background-color: #ff0000; color:#ffffff;
					flex-basis: 100%;
                    font-weight: bold;
                    aspect-ratio: 8 / 1;
                } 
            }

            &#info_recruit{
                display: none;
                flex-basis:100%;
            }

            &#Year_list{
                flex-basis: 100%;
                background-color: #ffffff;

                & ul{
                    display: flex;
                    flex-flow: row wrap;
                    justify-content:flex-start;
                    align-items: baseline;

                    & li{
                        flex-basis: 10%;

                        & a{
                            display: block; text-align: center; padding: 5px 0px;
                            border: 1px solid #000000; background-color: #3e72b9; color: #ffffff;

                            &.selectyear{
                                background-color: #00cc00;
                            }
                        }
                    }

                }

            }

            &#info_list{
                flex-basis: 100%;
            }

        }



    }

    /* top_menu */
    & #top_menu{
        & ul.gnavi_lists{
            flex-flow: row wrap;
            justify-content:flex-start;
            
            
            & li{
                margin: 0 0 1rem;
                flex-basis: 33%;
                background-size:cover;
                background-position: center;
                background-repeat: no-repeat;
            }
            
            & li.lst_top{
                display: none;
            }

            & li.lst_achieve{
                background-image: url(../img/title/achieve.jpg);
            }
            & li.lst_attempt{
                background-image: url(../img/title/attempt.jpg);
            }
            & li.lst_company{
                background-image: url(../img/title/company.jpg);
            }
            & li.lst_inquiry{
                background-image: url(../img/title/inquiry.jpg);
            }
            & li.lst_recruit{
                background-image: url(../img/title/recruit.jpg);
            }

            & a{
                display: flex; width: 100%; aspect-ratio: 3 / 2;
                justify-content: center; align-items: center;
                font-size: 2rem; font-weight: bold; color:#ffffff;
                border: 1px solid #ffffff;    
            }

            /*	メニュー表示切り替え */
            & .lst_sns{ display: none;}
            & .partner{ display: none;}
        
        }
    }

    /*top Links*/
    & #link{
        & .flex{
            flex-flow: row wrap;
            justify-content: center;
            align-items: center;

            & li{
                align-content: stretch;
                flex-basis: 20%;
                margin: 0.5em;
                background-color: #ffffff;
            }

            & a{
                padding: 0.5rem;
                text-align: center;
                display: block;
            /*  width: 100%; height: 100%; */
            }
        }

        & #keiseigroup{
            & > ul{
                display: flex;
                flex-flow: row wrap;
                justify-content: center;
                align-items: center;
                align-content: space-around;
                

                & li{
                    flex-basis: 18%;
                    margin:  0 0.3%;

                    & a{
                        display: flex;
                        justify-content: center;
                        align-items: center;

                        text-align: center;
                        aspect-ratio: 3 / 1;
                        background-color: #ffffff;
                        padding: 3px;
                    /*  width: 100%; height: 100%; */
                    }
                }
            }

        }
    }


}

/* 実績紹介 */
#achieve{

    & .selecter{
            
        & ul{
            display: flex;
            flex-flow: row wrap;
            justify-content: center;

            & li{
                display: flex;
                flex-basis: 8%;
                aspect-ratio: 1 / 1;
                align-self: flex-end;
                justify-content: center;
                align-items: center;

                & a{
                    display: block;
                    border: 1px solid #000000;
                
                }
            }
        }
    }

    & #case{
        & .selecter{    
            & ul{
                & li{
                    flex-basis: 8%;
                    aspect-ratio: 1 / 1;
                }
            }
        }
    }

    & #map_sv{
        display: flex;
        flex-flow: row wrap;
        justify-content:space-between;

        & #message{
            flex-basis: 100%; align-items: flex-start;
        }

        /* 地図 */
        & #map{
            flex-basis: 45%; align-items: flex-start;
        }
        /* 初期ページ */
        & #sv{
            flex-basis: 50%; align-items: flex-start;

            & dl{
                display: flex;
                flex-flow: column wrap;
                justify-content: space-between;
                align-items: center;

                width: 95%; height: fit-content; margin: 0 auto 2rem; padding: 0.5rem;
                background: linear-gradient(90deg, #000000 0%, #569BBC 25%, #666666 100%);

                & dt, & dd{ margin: 0px; vertical-align: middle; color:#ffffff; flex-basis: 100%; }
                & dt{
                    text-align: center; font-size:1.2rem;
                }
                & dd{
                    font-size:0.8rem;
                }

            }
        }
    }
    
    & #achieve_menu{
        /*   カテゴリセレクタ   */
        & .type{
            & ul{
                display: flex;
                flex-flow: row wrap;
                justify-content:space-between;

                & li{
                    flex-basis: 10%;
                    text-align: center;
                }

            }
        }
        /*  物件セレクタ    */
        & .selecter{

            & ul{

                justify-content: flex-start;

                & li{
                    flex-basis: 20%;
                    aspect-ratio: 1 / 1;

                    & a{
                        display: flex;
                        align-items: end; /* 追加: 子要素を中央揃えにする */
                        font-weight: bold;
                        text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
                        color: #ffffff;
                        flex-basis: 100%;
                        height: 100%;
                        background-repeat: no-repeat;
                        background-size: cover;
                        background-position: center;
                    }
                }
            }
        }
    }
    
    /* 初期ページ */
    & #service{

        & dl{
            display: flex;
            flex-flow: row wrap;
            justify-content: space-between;
            align-items: center;

            width: 90%; height: fit-content; margin: 1rem auto; padding: 1rem 0.5rem;
            background: linear-gradient(90deg, #000000 0%, #569BBC 25%, #666666 100%);

            & dt, & dd{ margin: 0px; vertical-align: middle; color:#ffffff;}
            & dt{
                flex-basis: 25%; text-align: center; font-size:calc(200vw / 80);
            }
            & dd{
                flex-basis: 73%;
            }

        }
    }

    /* 物件情報 */
    & .achieve_window{
        display: flex;
        justify-content: space-around;
        align-items: flex-start;

        & h5 { margin-top: 0; flex-basis: 100%;}
        & .img_box{ flex-basis: 25%;
            
            & img{
                width: 100%;
            }
        }
        & .txt_box{
            flex-basis: 70%; margin: 0;
                
            & dl{
                display: flex;
                flex-flow: row wrap;
                align-items: baseline;
                justify-content: flex-start;

                & dt{ flex-basis: 20%;}
                & dd{ flex-basis: 75%;}

            }
        }
    }
}


#key_visual{ text-align: center;}
#key_visual p{ color: #000000; padding: 5px;}
.achieve .img_box{ width: 30%; float: left;}
.achieve .txt_box{ width: 65%; float: right;}
.achieve .clear_box{clear: both; height: 0px;}

/* 取り組み */
#attempt {
    text-align: center;
    & #bmk{
        & .flex{
            flex-flow: row wrap;
            justify-content: space-around;

            & dt{
                flex-basis: 100%;

            }

            & dd{
                flex-basis: 30%;
            }
        }
    }

    & #etc{
        & .flex{
            flex-flow: row wrap;
            justify-content: space-around;

            & li{
                flex-basis: 32%;

                a.button{
                    width: 100%;
                    padding: 0.5em 0;
                }
            }
        }
    }

    & #bmk{
        & dd{ display:inline-block; width: 30%; }
    }

    & #health{
        & div{
            text-align: left;
            text-indent: 1em;
            margin: 1em;
        }

    }
}

/*会社概要*/
#company {
    text-align: center;
/*
    & .flex .flex{
        align-items: baseline;
    }
*/
    & .tb_dl{
        display: flex;
        flex-wrap: wrap;
        align-items: stretch;
        align-content: space-around;

        & dl{
            display: flex;
            flex-flow: row wrap;
            align-items: baseline;

            & dt, & dd{
                border: none; margin: 0px; padding: 0px 0px 0.5rem 0.5rem;
            }
            & dt{ flex-basis: 30%; }
            & dd{ flex-basis: 65%;}
        }
    }

    & table{
        background-color: #ffffff;;
    }

    /* あいさつ */
    & #greeting{

        & article{
            display: flex;
            justify-content: stretch;
            align-items: stretch; 
            padding: 0.5rem;
            background: rgba(255,244,219,0.6);
            border: 1px dotted #cccccc;

            & div p{
                margin-bottom: 1rem;
            }

            & .txt_box{
                flex-basis: 75%;
            }
            & .img_box{
                flex-basis: 20%;
                background-image: url(../img/company/president.png);
                background-repeat:  no-repeat;
                background-position:center center;
                background-size:cover;
                aspect-ratio: 3 / 4;
                justify-content: flex-end;
                align-items: flex-end;
            }

        }
    }

    /* 企業理念 */
    & #policy{

        & table{

            &ul{margin: 0px;}
        }
    }

    /* 業績 */
    & #performance{

        & td{ text-align: center;}
    }
}

/* 採用情報 */
#recruit {
    text-align: center;

    & section{
        & *{ text-align: center; }

        & ul{
            margin: 1rem;

            & li{ display: inline-block; width: 32%;
            
                & a{display: block; border: 1px solid #000000;}
            }
           
        }
        & ol{
            margin: auto auto auto 0px; padding: 1rem 0.5rem 1rem 2.5rem;

            &.txt_box { background:rgba(0,0,0,0.7); }
        
        }
        /* 採用TOP */
        &#rec_top{
            display: flex;
            flex-flow: row wrap;
            justify-content: space-between;
        
            & article{
                flex-basis: 48%;
            }
        }

        &#rec_movie{
            display: flex;
            flex-flow: row wrap;
            justify-content: space-between;
        
            & article{
                flex-basis: 48%;

                & iframe.movie{
                    width: 100%;
                    aspect-ratio: 16 / 9;
                }
            }
        }

        /* 中途採用 */
        & .job_outline{
            background-repeat:  no-repeat;
            background-position:center center;
            background-size:cover;
            max-width: 880px;
            aspect-ratio: 16 / 9;
            margin: auto;

            & .txt_box *{ color: #ffffff; font-weight: bold; text-shadow: 1px 1px 2px #0000ff;}
            & .txt_box li{ 
                margin-left: auto; font-size: 1.2rem;
                list-style: disc; text-align: left;
            }
        }

        &#bcm .job_outline{
            background-image: url(../img/recruit/career_01.jpg);
        }
        &#wcm .job_outline{
            background-image: url(../img/recruit/career_02.jpg);
        }
        &#sow .job_outline{
            background-image: url(../img/recruit/career_03.jpg);
        }

        & .job_conditions {
            background-color: #ffffff; padding: 1rem;
        
            & dd {
                text-align: left; 
                
                & *{text-align: left;}
                & ol{ padding: 0px;}
            }
        }
    }
}


/* お問い合わせ */
#inquiry{
    & #partner article{
        & h4{
            flex-basis:100%;
        }
        & aside{
            display: flex;
            flex-flow: row wrap;
            justify-content: center;
            align-items: center;
            
            & dl{
                flex-basis:45%;

                dt{
                    text-align: center;
                }
                dd {
                    & iframe{
                        width: 100%;
                        aspect-ratio: 16 / 9;
                    }

                    & a{
                        display: block; width: fit-content; padding: 0.5rem; margin-left: auto;
                        border: 1px solid #cccccc; background-color: #ff0000;
                        color: #ffffff; font-weight: bold;
                    }
                }
            }
        }
    }

    & #etc{

        &ul{
            display: block; width: fit-content; margin: auto; max-width: 90%;
        
            &li{ list-style: disc;}
        }
    }
}

/*お問い合わせフォーム*/
#recruit, #inquiry, #mgr{
    & #form{
        text-align: center;
        
        & ul{
            width: fit-content; margin: auto;
                
            & li{ display: block; width: fit-content; text-align: left; margin-bottom: 0.5rem;
                    
                & a{ display: inline;}
            }    

        }

        & dl{
            display: flex;
            flex-flow: row wrap;
            align-items: stretch;

            & dt{
                flex-basis: 25%;
            }
            & dd{
                flex-basis: 70%;
                text-align: center;

                & input[type="text"],
                & input[type="dete"],
                & input[type="email"],
                & input[type="tel"],
                & input[type="number"],
                & input[type="password"],
                & textarea
                { width: 80%; border: 1px solid #000000; background-color: rgba(255,244,219,0.6); text-align: left;}

                & textarea{ height: 10em;}
                & label{
                    margin: 0 1rem;
                    display: flex;
                    flex-flow: row wrap;
                    align-items: baseline;
                    
                    & input[type=checkbox] {
                        display: block;
                    }
                }

                & ul{
                    display: flex;
                    flex-flow: row wrap;
                    justify-content: flex-start;

                    & li{
                        flex-basis: fit-content;
                    }
                    
                }
            }
        }

        & #submit{
            display: none;
            text-align: center;
            background-color: #ffffff;
            padding: 0.5rem;

            & button{ display: block; width: 25%; padding: 0.5em; margin: 0 auto; border: 1px solid #000000;}
        }

    }
}

/* @end */